---
title: "Usage"
---

Prerequisite: [Install the CLI](/cli/overview)

## Initialize Infisical for your project

```bash
# move to your project
cd /path/to/project

# initialize infisical
infisical init
```

## Inject environment variables

```bash
# inject environment variables into app
infisical run -- [your application start command]
```

Options you can specify:

| Option        | Description                                                                                                 | Default value |
| ------------- | ----------------------------------------------------------------------------------------------------------- | ------------- |
| `--env`       | Used to set the environment that secrets are pulled from. Accepted values: `dev`, `staging`, `test`, `prod` | `dev`         |
| `--projectId` | Used to link a local project to the platform (required only if injecting via the service token method)      | `None`        |
| `--expand`    | Parse shell parameter expansions in your secrets (e.g., `${DOMAIN}`)                                        | `true`        |

## Examples:

```bash
# example with node
infisical run -- node index.js

# example with node (nodemon)
infisical run -- nodemon index.js

# example with node (nodemon) pulling in secrets from test environment
infisical run --env=test -- nodemon index.js

# example with flask
infisical run -- flask run
```
